package com.prolog.cs.biz.outbound.service;

import com.rabbitmq.client.Channel;
import org.springframework.amqp.core.Message;

public interface MqOutBoundConsumer {
    void outboundTaskCallback(Message message, Channel channel);

    void completeTask(Message message, Channel channel);
    
    void outboundCheckResultCallback(Message message, Channel channel);

    void applyForDocumentPrinting(Message message, Channel channel);

    void orderBindingGridFeedback(Message message, Channel channel);

}
